import { getFooter, getLanguageSwitcher } from "@/lib/trpc/memoizedRequests"

import FooterDetails from "./Details"
import FooterNavigation from "./Navigation"

export function preload() {
  void getFooter()
  void getLanguageSwitcher()
}

export default function Footer() {
  return (
    <footer>
      <FooterNavigation />
      <FooterDetails />
    </footer>
  )
}
